apiVersion: apps/v1
kind: Deployment
metadata:
  name: limechat-mbr-generator
  namespace: limekit-prod
  labels:
    app: limechat-mbr-generator
spec:
  selector:
    matchLabels:
      app: limechat-mbr-generator
  minReadySeconds: 5
  template:
    metadata:
      labels:
        app: limechat-mbr-generator
    spec:
      containers:
        - name: server
          image: acrlcpub.azurecr.io/limechat-mbr-generator:prod
          imagePullPolicy: Always
          envFrom:
            - configMapRef:
                name: limechat-mbr-generator-config
          env:
            - name: PROCESS
              value: "web"
          resources:
            requests:
              cpu: 300m
              memory: 500Mi
            limits:
              cpu: 1000m
              memory: 1500Mi
          ports:
            - containerPort: 8000
      restartPolicy: Always
